<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: GPIO_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">GPIO_T Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ga1d09c59b4451ee8cc8736c8078891386"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga1d09c59b4451ee8cc8736c8078891386">PMD</a></td></tr>
<tr class="separator:ga1d09c59b4451ee8cc8736c8078891386"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaef33c98df44df03b96cd70ca24c62fc4"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaef33c98df44df03b96cd70ca24c62fc4">OFFD</a></td></tr>
<tr class="separator:gaef33c98df44df03b96cd70ca24c62fc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacedf474a76d41eb49d93ca976fa0afa4"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacedf474a76d41eb49d93ca976fa0afa4">DOUT</a></td></tr>
<tr class="separator:gacedf474a76d41eb49d93ca976fa0afa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5d1418a8fdc087ba44028f784cbd2ea2"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga5d1418a8fdc087ba44028f784cbd2ea2">DMASK</a></td></tr>
<tr class="separator:ga5d1418a8fdc087ba44028f784cbd2ea2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacd64ba4db747a13e65ee2ff1eaa0fe47"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gacd64ba4db747a13e65ee2ff1eaa0fe47">PIN</a></td></tr>
<tr class="separator:gacd64ba4db747a13e65ee2ff1eaa0fe47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3d4810bebd87d723aa1c2553576bc95"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gad3d4810bebd87d723aa1c2553576bc95">DBEN</a></td></tr>
<tr class="separator:gad3d4810bebd87d723aa1c2553576bc95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga238fd487ce9252ecbab0003630cdeb27"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga238fd487ce9252ecbab0003630cdeb27">IMD</a></td></tr>
<tr class="separator:ga238fd487ce9252ecbab0003630cdeb27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa332e6a57141c2ae9a44acc296a8ca18"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaa332e6a57141c2ae9a44acc296a8ca18">IER</a></td></tr>
<tr class="separator:gaa332e6a57141c2ae9a44acc296a8ca18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga91b435e9c7adfdb9b41621709ba118c4"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga91b435e9c7adfdb9b41621709ba118c4">ISRC</a></td></tr>
<tr class="separator:ga91b435e9c7adfdb9b41621709ba118c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4363701c030af4adb16f6329a7d59833"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga4363701c030af4adb16f6329a7d59833">PUEN</a></td></tr>
<tr class="separator:ga4363701c030af4adb16f6329a7d59833"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup GPIO General Purpose Input/Output Controller(GPIO)
Memory Mapped Structure for GPIO Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l04074">4074</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
